Subject: Re: [ -d ' ' ] && echo yes
From: Norton Allen <[email-masked]>
To: [email-masked] (Max Bowsher)
Cc: [email-masked], [email-masked], [email-masked]
Date: Mon, 3 Feb 2003 21:43:00 -0500 (est)

Max Bowsher wrote:
> 
> Norton Allen wrote:
> > Elfyn McBratney wrote:
> >>
> >>> Are you saying it's a feature? If so, a feature of cygwin or
> >>> of Windows? Under the Windows Command Prompt, cd " " does not
> >>> complain, and leaves you in the current directory as you
> >>> describe, but dir " " gives an error. This is certainly
> >>> not how it works under other OSes.
> >>
> >>
> >> I'm pretty sure it's a feature of SUSv3... Or one of the other POSIXy
> >> standards.
> >>
> >> However I've been working for hours so my brain is fried and may be
> >> spewing out random recollections '-)
> >
> >   FWIW, I've just tested on Linux (of some flavor) and OpenBSD,
> >   and neither thinks ' ' is a directory.
> >
> >   In any event, I'd like to figure out whether it's a bug or
> >   a feature under Cygwin so I can move forward.
> 
> It's a bug/feature in Windows. Trying to manipulate such a directory in an
> ordinary cmd shell or in explorer produces spurious error messages and/or
> silent failiures.
> 
> I.e. it falls into the same category as 'aux' and 'foo...' - file names
> which Windows simply won't do.

OK, thanks for the info. I was familiar with the oddities of aux, et. al,
but had not encountered the space thingy. -Norton

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/